commit f6e83a0718e676cde5fb72043212464f5ba7d84d
Merge: 074aadb1eed 497f936a373
Author: Vadim Yalovets <vadim.yalovets@percona.com>
Date:   Thu Dec 14 13:56:20 2023 +0200

    Merge pull request #5173 from percona/release-5.7.44-48
    
    PS-9004 Release tasks for PS 5.7.44-48

commit 8d88fd265f2e14a86e14baeaa4d17a4621f575e1
Author: Vadim Yalovets <vadim.yalovets@percona.com>
Date:   Thu Jan 4 18:29:58 2024 +0200

    PS-8873 percona-server-server-5.7 failing upgrade on debian 11


commit 27e85f4c48b80b352d52c282f5e90f2506deed4f
Merge: f6e83a0718e 8d88fd265f2
Author: Vadim Yalovets <vadim.yalovets@percona.com>
Date:   Fri Jan 5 16:34:14 2024 +0200

    Merge pull request #5197 from adivinho/5.7
    
    PS-8873 percona-server-server-5.7 failing upgrade on debian 11

commit 8eaaf030e48b3a878d60ddf509ff58f21cdc7808
Author: Varun Nagaraju <varun.nagaraju@percona.com>
Date:   Fri Jan 12 01:32:11 2024 +0530

    PS-9067 Fix MTR test failures when run with --mem
    
    https://perconadev.atlassian.net/browse/PS-9067
    
    When --mem is used to run MTR tests, thy are run in memory using
    tmpfs. This causes inconsistencies when recodring test results,
    since the file paths are not deterministic. So, replace_regex is
    used to mask the variable paths percona_statement_set.test and
    bug84640.test.
    For percona_changed_page_bmp_flush.test, the generated warning
    is suppressed.

diff --git a/mysql-test/suite/innodb/r/percona_changed_page_bmp_flush.result b/mysql-test/suite/innodb/r/percona_changed_page_bmp_flush.result
index dabbc13b0fb..3ed045ad18d 100644
--- a/mysql-test/suite/innodb/r/percona_changed_page_bmp_flush.result
+++ b/mysql-test/suite/innodb/r/percona_changed_page_bmp_flush.result
@@ -1,5 +1,6 @@
 call mtr.add_suppression("Failed to set O_DIRECT on file");
 call mtr.add_suppression("O_DIRECT is known to result in");
+CALL mtr.add_suppression("\\[ERROR\\] InnoDB: Failed to create check sector file*");
 DROP TABLE IF EXISTS t1;
 RESET CHANGED_PAGE_BITMAPS;
 CREATE TABLE t1 (a INT, b BLOB) ENGINE=InnoDB;
diff --git a/mysql-test/suite/innodb/t/percona_changed_page_bmp_flush.test b/mysql-test/suite/innodb/t/percona_changed_page_bmp_flush.test
index 5e6a45e44c1..22cd83f2239 100644
--- a/mysql-test/suite/innodb/t/percona_changed_page_bmp_flush.test
+++ b/mysql-test/suite/innodb/t/percona_changed_page_bmp_flush.test
@@ -6,6 +6,7 @@
 
 call mtr.add_suppression("Failed to set O_DIRECT on file");
 call mtr.add_suppression("O_DIRECT is known to result in");
+CALL mtr.add_suppression("\\[ERROR\\] InnoDB: Failed to create check sector file*");
 
 let $MYSQLD_DATADIR= `select @@datadir`;
 let $BITMAP_FILE= $MYSQLD_DATADIR/ib_modified_log_1_0.xdb;
diff --git a/mysql-test/t/bug84640.test b/mysql-test/t/bug84640.test
index 8e515799b83..0701f59d560 100644
--- a/mysql-test/t/bug84640.test
+++ b/mysql-test/t/bug84640.test
@@ -46,7 +46,8 @@ SET DEBUG_SYNC="now SIGNAL finish_open";
 
 --connection con1
 
---replace_result $custom_data_directory custom_data_directory
+# $tmpdir is different when the test is run with --mem
+--replace_regex /\/.*\/bug84640/custom_data_directory/
 --error 29
 reap;
 
diff --git a/mysql-test/t/percona_statement_set.test b/mysql-test/t/percona_statement_set.test
index c20fa670f1f..be993c3986e 100644
--- a/mysql-test/t/percona_statement_set.test
+++ b/mysql-test/t/percona_statement_set.test
@@ -838,19 +838,19 @@ DROP PROCEDURE p5;
 #   lp:1626519 memory allocation for PLUGIN_VAR_MEMALLOC           #
 ####################################################################
 
-let $MYSQL_TMP_DIR= `select @@tmpdir`;
---replace_result $MYSQL_TMP_DIR TMPDIR
+# tmpdir is different when the test is run with --mem
+--replace_regex /\/.*\/tmp\/mysqld\..*/TMPDIR/
 --eval SET STATEMENT innodb_tmpdir=@@global.tmpdir FOR SELECT @@innodb_tmpdir
 SET SESSION innodb_tmpdir = @@global.tmpdir;
---replace_result $MYSQL_TMP_DIR TMPDIR
+--replace_regex /\/.*\/tmp\/mysqld\..*/TMPDIR/
 SELECT @@innodb_tmpdir;
---replace_result $MYSQL_TMP_DIR TMPDIR
+--replace_regex /\/.*\/tmp\/mysqld\..*/TMPDIR/
 SET STATEMENT sql_mode='' FOR SELECT @@innodb_tmpdir;
---replace_result $MYSQL_TMP_DIR TMPDIR
+--replace_regex /\/.*\/tmp\/mysqld\..*/TMPDIR/
 SELECT @@innodb_tmpdir;
 --replace_result $MYSQL_TEST_DIR TESTDIR
 --eval SET STATEMENT innodb_tmpdir='$MYSQL_TEST_DIR' FOR SELECT @@innodb_tmpdir
---replace_result $MYSQL_TMP_DIR TMPDIR
+--replace_regex /\/.*\/tmp\/mysqld\..*/TMPDIR/
 SELECT @@innodb_tmpdir;
 
 --echo #

